---

kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: plugins/docker
    settings:
      dry_run: yes
      purge: no
      repo: git.luj0ga.de/luca/matrix-prometheus

  - name: publish
    image: plugins/docker
    settings:
      auto_tag: yes
      password:
        from_secret: access_token
      purge: no
      registry: git.luj0ga.de
      repo: git.luj0ga.de/luca/matrix-prometheus
      username: _
    when:
      event:
        - tag
